Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.settings
Class Constraint.FailedCheck

    java.lang.Object
      org.archive.crawler.settings.Constraint.FailedCheck

Enclosing class:
  Constraint

    public class Constraint.FailedCheck

extends java.lang.Object

Objects of this class represents failed constraint checks.

Author:
  John Erik Halse

Field Summary
`protected java.util.ArrayList<java.lang.Object>` | `messageArguments`

Constructor Summary
`Constraint.FailedCheck(CrawlerSettings settings, ComplexType owner, Type definition, java.lang.Object value)` Construct a new FailedCheck object using the constraints default message.
`Constraint.FailedCheck(CrawlerSettings settings, ComplexType owner, Type definition, java.lang.Object value, java.lang.String msg)` Construct a new FailedCheck object.

Method Summary
`Type` | `getDefinition()` Get the definition for the checked attribute.
`java.util.logging.Level` | `getLevel()` Get the severity level.
`java.lang.String` | `getMessage()` Get the error message.
`ComplexType` | `getOwner()` Get the `ComplexType` owning the checked attribute.
`CrawlerSettings` | `getSettings()` Get the `CrawlerSettings` for the checked attribute.
`java.lang.Object` | `getValue()` Get the value of the checked attribute.
`java.lang.String` | `toString()` Returns a human readeable string for the failed check.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### messageArguments

    protected final java.util.ArrayList<java.lang.Object> messageArguments

Constructor Detail

### Constraint.FailedCheck

    public Constraint.FailedCheck(CrawlerSettings settings,
                                  ComplexType owner,
                                  Type definition,
                                  java.lang.Object value,
                                  java.lang.String msg)

  Construct a new FailedCheck object.

  Parameters:
    `settings` - the CrawlerSettings object for which this check was executed.
    `owner` - the ComplexType owning the attribute to check.
    `definition` - the definition to check the attribute against.
    `value` - the value to check.
    `msg` - a message describing what went wrong and possibly hints to the user on how to fix it.

### Constraint.FailedCheck

    public Constraint.FailedCheck(CrawlerSettings settings,
                                  ComplexType owner,
                                  Type definition,
                                  java.lang.Object value)

  Construct a new FailedCheck object using the constraints default message.

  Parameters:
    `settings` - the CrawlerSettings object for which this check was executed.
    `owner` - the ComplexType owning the attribute to check.
    `definition` - the definition to check the attribute against.
    `value` - the value to check.

Method Detail

### getMessage

    public java.lang.String getMessage()

  Get the error message.

  Returns:
    the error message.

### getLevel

    public java.util.logging.Level getLevel()

  Get the severity level.

  Returns:
    the severity level.

### getDefinition

    public Type getDefinition()

  Get the definition for the checked attribute.

  Returns:
    the definition for the checked attribute.

### getValue

    public java.lang.Object getValue()

  Get the value of the checked attribute.

  Returns:
    the value of the checked attribute.

### getOwner

    public ComplexType getOwner()

  Get the `ComplexType` owning the checked attribute.

  Returns:
    the `ComplexType` owning the checked attribute.

### getSettings

    public CrawlerSettings getSettings()

  Get the `CrawlerSettings` for the checked attribute.

  Returns:
    the `CrawlerSettings` for the checked attribute.

### toString

    public java.lang.String toString()

  Returns a human readeable string for the failed check. Returns the same as `getMessage()`

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A human readeable string for the failed check.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.